{% load static %}
{% load crispy_forms_tags %}
<header>
    <!-- Sidebar navigation -->
    <!--- add custom-scrollbar class if scrolling is needed --->
    <div id="slide-out" class="side-nav mdb-color darken-2 fixed custom-scrollbar">
        {% if user.is_superuser %}
        {% include 'admin_sidebar.html' %}
        {% else %}
        {% include 'user_sidebar.html' %}
        {% endif %}
        <div class="sidenav-bg"></div>
    </div>
    <!--/. Sidebar navigation -->
    <!-- Navbar -->
    <nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg double-nav navbar-dark mdb-color darken-2">
        <!-- SideNav slide-out button -->
        <div class="float-left">
            <a href="#" data-activates="slide-out" class="button-collapse"><i class="fa fa-bars"></i></a>
        </div>

        <ul class="nav navbar-nav nav-flex-icons mr-auto">
            {% if user.is_authenticated %}
            {% if user.is_superuser %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'admin_dash' %}">Dashboard</a>
            </li>
            {% else %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'dashboard' %}">Dashboard</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" data-toggle="modal" data-target="#LoanApplicationModal">Loan Application</a>
            </li>
            {% endif %}

            {% else %}
            {% if not user.is_superuser %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'login' %}">Sign in <span class="sr-only">(current)</span></a>
            </li>
            {% endif %}
            {% endif %}

        </ul>
        <ul class="navbar-nav nav-flex-icons">
            {% if user.is_authenticated %}
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-user mr-1"></i>{{ user.username }}
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="{% url 'logout' %}"><i
                            class="fas fa-sign-out-alt mr-2"></i>Logout</a>
                </div>
            </li>
            {% endif %}
        </ul>
    </nav>
    <!-- /.Navbar -->
</header>

{% if user.is_authenticated and not user.is_superuser %}
<!-- Loan Application Modal -->
<div class="modal fade" id="LoanApplicationModal" tabindex="-1" role="dialog"
     aria-labelledby="LoanApplicationModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-notify" role="document">
        <div class="modal-content">
            <div class="modal-header light-blue darken-3 white-text">
                <h5 class="modal-title" id="LoanApplicationModalLabel">Loan Application</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true" class="white-text">&times;</span>
                </button>
            </div>

            <form method="post" id="loanForm" action="{% url 'loan_application' %}">
                {% csrf_token %}
                <div class="modal-body">
                    {% if form %}
                    {% include 'loan_application.html' %}
                    {% else %}
                    <p class="text-warning"><strong>
                        There was an error with your account. Please contact the customer service.
                    </strong>
                    </p>
                    {% endif %}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-danger btn-rounded waves-effect" data-dismiss="modal">
                        Cancel
                    </button>
                    <button type="submit" class="btn btn-primary btn-rounded waves-effect">Submit</button>

                </div>
            </form>
        </div>
    </div>
</div>
{% endif %}

{% if user.is_superuser %}
<!-- Import CSV Modal -->
<div class="modal fade" id="ImportModal" tabindex="-1" role="dialog"
     aria-labelledby="ImportModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-notify" role="document">
        <div class="modal-content">
            <div class="modal-header light-blue darken-3 white-text">
                <h5 class="modal-title" id="ImportModalLabel">Import From CSV</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true" class="white-text">&times;</span>
                </button>
            </div>

            <form class="form-group" method="POST" enctype="multipart/form-data" action="{% url 'import_csv' %}"
                  onsubmit="showProgressBar()">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="note note-success my-2">
                        <div class="mt-2">
                            <strong>Please Note:</strong>
                            <ul>
                                <li>The CSV file should contain the following column names as its
                                    first row:
                                </li>
                                <div class="row justify-content-center my-2">
                                    <div class="col-">
                                        <em>id,amount,description,approved</em>
                                    </div>
                                </div>
                                <li>Values yes/no can be used for 'approved' column value.</li>
                                <li>The amount cannot contain any comma.</li>
                            </ul>
                        </div>

                        <div class="mt-2">
                            <strong>Example:</strong> The following is a sample of CSV file:
                        </div>
                        <div class="row justify-content-center">
                            <strong class="text-center">id,amount,description,approved</strong>
                        </div>
                        <div class="row justify-content-center">
                            <em class="text-center">234,22000,For a limited period,yes</em>
                        </div>
                        <div class="row justify-content-center">
                            <em class="text-center">2366,100000,Due to lack of fund,no</em>
                        </div>
                        <div class="row justify-content-center">
                            <em class="text-center">2285,50000,For 5 months,yes</em>
                        </div>

                    </div>
                    <div class="mt-4">
                        {{ imp_form|crispy }}
                        <!-- Material inline 1 -->
                        <label for="import-typ-radio">Select the import type*</label>

                        <div class="form-row form-group" id="import-typ-radio">
                            <div class="form-check form-check-inline">
                                <input type="radio" class="form-check-input" id="loan-radio"
                                       name="import-type" value="loans" required>
                                <label class="form-check-label" for="loan-radio">Loans</label>
                            </div>

                            <!-- Material inline 2 -->
                            <div class="form-check form-check-inline">
                                <input type="radio" class="form-check-input" id="contrib-radio"
                                       name="import-type" value="contribs" required>
                                <label class="form-check-label" for="contrib-radio">Contributions</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-">
                        <div id="submitProgressbar" style="display: none;">
                            <div class="font-weight-light font-italic text-center">Please Wait...</div>
                            <!--Small yellow-->
                            <div class="preloader-wrapper small active">
                                <div class="spinner-layer spinner-red-only">
                                    <div class="circle-clipper left">
                                        <div class="circle"></div>
                                    </div>
                                    <div class="gap-patch">
                                        <div class="circle"></div>
                                    </div>
                                    <div class="circle-clipper right">
                                        <div class="circle"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-">
                        <button type="submit" class="btn btn-primary btn-md btn-rounded waves-effect">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
{% endif %}


